Subject: Re: Lathe Milling Attachments

From: [email-masked] (Alan Frisbie)
Date: 12 Aug 94 15:52:49 PST

In article <[email-masked]>, 
[email-masked] (John W Bottoms) writes:

> Anyone know a source for milling attachments? I'm looking
> for a Potts or Lorch. Angle plates are fairly common but I
> haven't found the milling attachments through the usual sources.

Try:
	Palmgren Steel Products
	8383 South Chicago Avenue
	Chicago, IL 60617
	(312) 721-9675

They have three models for different sizes of lathes:

150V -- for 4" to 6" lathes
250V -- for 8" and 10" lathes
400V -- for 12" to 16" lathes

They are designed to fit over the toolpost and are held
down by a bar the size of a toolbit.    I have a 250V, but
was a bit disappointed.   Not that the product is bad in any
way, but in the overall rigidity of the setup.   By the time you
stack the milling attachment (with its vise) on top of the compound
on top of the cross slide... you get the idea.   I now have a
t-slotted cross slide which should improve matters, but have
not had an opportunity to try it.

Palmgren also makes a variety of vises, rotary tables, X-Y tables,
etc.   You can purchase Palmgren products through:

	Campbell Tools Co
	2100 Selma Road
	Springfield, OH 45505
	(513) 322-8562

--  Alan E. Frisbie               [email-masked]
--  Flying Disk Systems, Inc.
--  4759 Round Top Drive          (213) 256-2575 (voice)
--  Los Angeles, CA 90065         (213) 258-3585 (FAX)